Subject: select()
From: [email-masked] (Colten Edwards)

10 May 1997 19:01:34 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: [email-masked]
Original-Sender: [email-masked]

kudos to the new b18 cygnus tools... with it I was able to port my irc
client BitchX quiet easily to win95/NT. but the new select has an odd
behaviour. when you remove the focus from the window running my client,
all input/output in that window stops.  Is this a design feature or
something else? Also the new console handler is quite good, but still
needs some work... I found that I had to hard code the term handler to use
ALDL handling instead of CS handling in order to scroll the window
properly.

        tputs_x(tgoto(CS, line2, line1));  /* shouldn't do this each time*/
        if (n < 0)
        {
                term_move_cursor(0, line1);
                n = -n;
        }
        else
                term_move_cursor(0, line2);
        for (i = 0; i < n; i++)
                tputs_x(thing);
        tputs_x(tgoto(CS, LI - 1, 0));  /* shouldn't do this each time */
        return (0);

which is preferable to the following code which I have to use

        if (n > 0)
        {
                term_move_cursor(0, line1);
                tputs_x(tgoto(DL, n, n));
                term_move_cursor(0, line2 - n + 1);
                tputs_x(tgoto(AL, n, n));
        }
        else if (n < 0)
        {
                n = -n;
                term_move_cursor(0, line2-n+1);
                tputs_x(tgoto(DL, n, n));
                term_move_cursor(0, line1);
                tputs_x(tgoto(AL, n, n));
        }
        return (0);

						Colten Edwards

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".